import request from "@/api/request.js";

// 全要素统计
export function getElementCount() {
  return request({
    method: 'GET',
    url: `/api/element/elementCount`,
  })
}

// 最新动态
export function getNewDynamics() {
  return request({
    method: 'GET',
    url: `/api/element/newDynamics`,
  })
}

// 美对我要素打压情况
/**
 * @param {currentPage, pageSize} 
 */
export function getElementSuppress(params) {
  return request({
    method: 'GET',
    url: `/api/element/elementSuppress`,
    params
  })
}

// 关键词云-上
/**
 * @param {currentPage, pageSize} 
 */
export function getKeyWordUp() {
  return request({
    method: 'GET',
    url: `/api/element/getKeyWordUp`,
  })
}

// 美自身要素发展情况
/**
 * @param {currentPage, pageSize} 
 */
export function getElementDevelop(params) {
  return request({
    method: 'GET',
    url: `/api/element/elementDevelop`,
    params
  })
}

// 关键词云-下
/**
 * @param {currentPage, pageSize} 
 */
export function getKeyWordDown(params) {
  return request({
    method: 'GET',
    url: `/api/element/getKeyWordDown`,
    params
  })
}

// 通过id获取政令详细信息
/**
 * @param {id} 
 */
export function getOrderInfo(params) {
  return request({
    method: 'GET',
    url: `/api/element/getOrderInfo/${params.id}`,
    params
  })
}